Create Asset

An asset refers to a media content/video that is processed, stored, and delivered through Gumlet. This endpoint creates an asset allowing users to ingest media content into the Gumlet system for processing and delivery.

Body
application/json
  • collection_id
    Type: string
    required

    Gumlet video workspace id.

  • format
    Type: string enum
    required

    Transcode and deliver the asset in the requested format. The options can be one of ABR (HLS + DASH) andMP4.

    values
    • ABR
    • MP4
  • input
    Type: string
    required

    URL or web address of a file that Gumlet should download to create a new asset.

  • additional_tracks
    Type: array object[]

    Add additional Audio / Subtitle tracks to Gumlet for transcoding and delivery along with video asset track.

  • animated_gif
    Type: object

    Create an animated GIF from the video.

  • audio_only
    Type: boolean

    This flag allows Gumlet to transcode and deliver audio-only in the specified format. In this case, video transformation and thumbnails/animated GIFs would not be created. Default: false

  • call_to_actions
    Type: array object[]

    CTA, is an explicit prompt within the video content encouraging viewers to take a particular action.

  • crop
    Type: object

    This transformation can be used to crop the video by defining a rectangular area within the dimensions of the output video.

  • description
    Type: string

    Attach some textual data with the asset. This field is neither searchable nor filterable.

  • enable_drm
    Type: boolean

    Enable DRM encryption for transcoded videos. Gumlet supports Widevine and Fairplay DRMs.

  • folder
    Type: string

    Add this asset to an existing folder by folder_id.

  • generate_subtitles
    Type: object

    Gumlet allows to generate subtitles from the audio stream (use ISO 639-1 Language Codes)

Responses
  • application/json
  • application/json
  • application/json
Request Example for post/video/assets
curl https://api.gumlet.com/v1/video/assets \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "format": "ABR",
  "collection_id": "646df1c9173a4a2fcac180b4",
  "input": "http://devimages.apple.com/iphone/samples/bipbop/bipbopall.m3u8",
  "description": "some description",
  "tag": [
    "ball"
  ],
  "profile_id": "646df1c9173a4a2fcac180b7",
  "cluster_type": "prod",
  "playlist_id": "6597acd5ed6f26a9c5ca9633",
  "metadata": {
    "headermeta": "metavalue"
  },
  "call_to_actions": [
    {
      "start_time": 1,
      "end_time": 90,
      "text": "some test",
      "url": "https://some-url.com",
      "position_from_top": 11,
      "position_from_right": 23,
      "border_radius": "11",
      "font_color": "#000001",
      "background_color": "#ffffff"
    }
  ],
  "folder": "697375fbfa2d1037283140e4"
}'
{
  "asset_id": "65b168a6e99b77f116c0e488",
  "progress": 0,
  "created_at": 1706125479006,
  "updated_at": 1706125479006,
  "status": "pre-queued",
  "tag": [
    "ball"
  ],
  "source_id": "646df1c9173a4a2fcac180b4",
  "collection_id": "646df1c9173a4a2fcac180b4",
  "input": {
    "transformations": {
      "format": "hls",
      "resolution": [
        "360p",
        "480p",
        "540p",
        "720p",
        "1080p"
      ],
      "audio_codec": [
        "aac"
      ],
      "video_codec": [
        "libx264"
      ],
      "thumbnail": [
        "auto"
      ],
      "thumbnail_format": "png",
      "mp4_access": false,
      "per_title_encoding": false
    },
    "profile_id": "646df1c9173a4a2fcac180b7",
    "title": "bipbopall",
    "description": "some description",
    "metadata": {
      "headermeta": "metavalue"
    },
    "source_url": "http://devimages.apple.com/iphone/samples/bipbop/bipbopall.m3u8",
    "call_to_actions": [
      {
        "start_time": 1,
        "end_time": 90,
        "text": "some test",
        "url": "https://some-url.com",
        "position_from_top": 11,
        "position_from_right": 23,
        "border_radius": 11,
        "font_color": "#000001",
        "background_color": "#ffffff",
        "html_target": "_blank"
      }
    ]
  },
  "output": {
    "format": "hls",
    "status_url": "https://api.gumlet.com/v1/video/assets/65b168a6e99b77f116c0e488",
    "playback_url": "https://video.gumlet.io/646df1c9173a4a2fcac180b4/65b168a6e99b77f116c0e488/main.m3u8",
    "thumbnail_url": [
      "https://video.gumlet.io/646df1c9173a4a2fcac180b4/65b168a6e99b77f116c0e488/thumbnail-1-0.png?v=1706125479006"
    ]
  },
  "playlists": [
    "6597acd5ed6f26a9c5ca9633"
  ]
}